import { Component, OnInit } from '@angular/core';
import { Store, select } from '@ngrx/store';
import { Observable } from 'rxjs';

import { AppState } from '__PROJECT_NAMESPACE__/shared/store/';

// import { get__CLASSIFY_NAMESPACE__ } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/store/';
import { __CLASSIFY_NAMESPACE__EntityService } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/entity/';
import { __CLASSIFY_NAMESPACE__Service } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/services/';

// import { __CLASSIFY_NAMESPACE__ } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/__DASHERIZE_NAMESPACE__.model';

@Component({
  selector: 'hero-__DASHERIZE_NAMESPACE__',
  template: `
    <h3>__DASHERIZE_NAMESPACE__ page works!</h3>
  `,
  styleUrls: ['./__DASHERIZE_NAMESPACE__.component.scss']
})
export class __CLASSIFY_NAMESPACE__Component implements OnInit {
  // public __CAMEL_NAMESPACE__$: Observable<any>;
  public __CAMEL_NAMESPACE__Entities$: Observable<Array<any> | null>;
  public __CAMEL_NAMESPACE__Total$: Observable<number | null>;

  constructor(
    private store: Store<AppState>,
    private entityService: __CLASSIFY_NAMESPACE__EntityService,
    private __CAMEL_NAMESPACE__Service: __CLASSIFY_NAMESPACE__Service
  ) {
    // this.__CAMEL_NAMESPACE__$ = store.pipe(select(get__CLASSIFY_NAMESPACE__));
    this.__CAMEL_NAMESPACE__Entities$ = entityService.entities$;
    this.__CAMEL_NAMESPACE__Total$ = entityService.count$;
  }

  ngOnInit() {
    this.entityService.getAll();
  }
}
