import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';

// import { } from '@hero/common';

import { __CLASSIFY_NAMESPACE__RoutingModule } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/__DASHERIZE_NAMESPACE__-routing.module';
import { reducer } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/store/';
import { __CLASSIFY_NAMESPACE__Effect } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/store/__DASHERIZE_NAMESPACE__.effect';

// Providers and Services
import { __CLASSIFY_NAMESPACE__EntityService } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/entity/';
import {
  ApiService,
  // __CLASSIFY_NAMESPACE__Resolver,
  __CLASSIFY_NAMESPACE__Service
} from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/services/';

// Components
import { __CLASSIFY_NAMESPACE__Component } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/__DASHERIZE_NAMESPACE__.component';

@NgModule({
  imports: [
    CommonModule,
    __CLASSIFY_NAMESPACE__RoutingModule,
    StoreModule.forFeature('__DASHERIZE_NAMESPACE__', reducer),
    EffectsModule.forFeature([__CLASSIFY_NAMESPACE__Effect])
  ],
  providers: [
    ApiService,
    // __CLASSIFY_NAMESPACE__Resolver,
    __CLASSIFY_NAMESPACE__Service,
    __CLASSIFY_NAMESPACE__EntityService
  ],
  declarations: [__CLASSIFY_NAMESPACE__Component],
  exports: [__CLASSIFY_NAMESPACE__Component]
})
export class __CLASSIFY_NAMESPACE__Module {}
