import { Injectable } from '@angular/core';
import { Action } from '@ngrx/store';
import { Actions, Effect, ofType } from '@ngrx/effects';
import { Observable, of } from 'rxjs';
import { map, switchMap, mergeMap, tap } from 'rxjs/operators';

import * as from__CLASSIFY_NAMESPACE__ from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/store/';
import { ApiService } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/services/';

// import { __CLASSIFY_NAMESPACE__ } from '__PROJECT_NAMESPACE__/__DASHERIZE_NAMESPACE__/shared/__DASHERIZE_NAMESPACE__.model';

@Injectable()
export class __CLASSIFY_NAMESPACE__Effect {
  constructor(private actions$: Actions, private http: ApiService) {}

  @Effect()
  fetch__CLASSIFY_NAMESPACE__$: Observable<Action> = this.actions$.pipe(
    ofType<from__CLASSIFY_NAMESPACE__.Load__CLASSIFY_NAMESPACE__>(
      from__CLASSIFY_NAMESPACE__.__CLASSIFY_NAMESPACE__Types
        .LOAD___UPPER_DASHERIZE_NAMESPACE__
    ),
    // map((action: from__CLASSIFY_NAMESPACE__.Load__CLASSIFY_NAMESPACE__) => action.payload),
    switchMap(() => this.http.get__CLASSIFY_NAMESPACE__()),
    mergeMap((payload: any) =>
      of(new from__CLASSIFY_NAMESPACE__.__CLASSIFY_NAMESPACE__Loaded(payload))
    ),
    tap(() => this.http.pageLoaded())
  );
}
